PGASetIntegerInitRange(2)

NAME
PGASetIntegerInitRange - sets a flag to tell the initialization routines to set each integer-valued gene to a value chosen randomly from the interval given by an upper and lower bound.

DESCRIPTION
No string initialization is done by this call.

INPUT PARAMETERS
ctx - context variable
min - array of lower bounds that define the interval the gene is initialized from
max - array of upper bounds that define the interval the gene is initialized from

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGASetIntegerInitRange(ctx, min, max)
PGAContext *ctx
int *min
int *max

LOCATION
integer.c

EXAMPLE
Set the initialization routines to select a value for gene i
uniformly randomly from the interval [0,i].  Assumes all strings
are of the same length.

PGAContext *ctx;
int *low, *high, stringlen, i;
:
stringlen = PGAGetStringLength(ctx);
low  = (int *) malloc(stringlen*sizeof(int));
high = (int *) malloc(stringlen*sizeof(int));
for(i=0;i<stringlen;i++) {
low[i]  = 0;
high[i] = i
}
PGASetIntegerInitRange(ctx, low, high);